Piloterr

Weibo Post Info

GET
/v2/weibo/post/info

Retrieve one public Weibo post by post id, including text, images, publish time, engagement counts, and author profile.

Credit cost: 2 credits per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

Weibo post id.

Example:

5062595839264600

A mobile detail URL is also accepted. The id is the last path segment.

Response Body

Successful response

application/json
  1. response
post?
Example Request
curl -X GET 'https://api.piloterr.com/v2/weibo/post/info?query=string'
Example Response
{  "post": {    "id": "5062595839264600",    "url": "https://m.weibo.cn/detail/5062595839264600",    "pics": [      {        "pid": "001R0E0aly1hs8gb8rfhoj647k2yg4qt02",        "url": "https://wx4.sinaimg.cn/orj360/001R0E0aly1hs8gb8rfhoj647k2yg4qt02.jpg",        "large": {          "url": "https://wx4.sinaimg.cn/mw2000/001R0E0aly1hs8gb8rfhoj647k2yg4qt02.jpg"        }      }    ],    "text": "【祝贺!#刘宇坤50米步枪三姿金牌#】当地时间1日,中国选手刘宇坤在巴黎奥运会射击男子50米步枪三姿项目上夺得金牌。",    "user": {      "id": 1699432410,      "verified": true,      "avatar_url": "https://tvax2.sinaimg.cn/crop.58.61.875.875.180/001R0E0aly8h8vg6xx3srj60rs0rsdko02.jpg",      "screen_name": "新华社",      "followers_count": "1.14亿"    },    "source": "微博网页版",    "video_url": null,    "created_at": "Thu Aug 01 16:19:29 +0800 2024",    "reposts_count": 4064,    "comments_count": 5283,    "attitudes_count": 195163  }}